%define name	unzip
%define version 6.0
%define subrel	2
%define release %mkrel 7
%define src_ver	%(echo %version|sed "s/\\.//"g)

Summary:	Unpacks ZIP files such as those made by pkzip under DOS
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD-like
Group:		Archiving/Compression
URL:		http://www.info-zip.org/pub/infozip/UnZip.html
Source0:	http://ftp.info-zip.org/pub/infozip/src/%{name}%{src_ver}.tar.bz2
Patch1:		unzip-6.0-CVE-2014-8139.patch
Patch2:		unzip-6.0-CVE-2014-8140.patch
Patch3:		unzip-6.0-CVE-2014-8141.patch
Patch4:		unzip-6.0-overflow2.patch

%description
unzip will list, test, or extract files from a ZIP archive, commonly found
on MS-DOS systems. A companion program, zip, creates ZIP archives; both
programs are compatible with archives created by PKWARE's PKZIP and
PKUNZIP for MS-DOS, but in many cases the program options or default
behaviors differ.

This version also has encryption support.

%prep

%setup -qn %{name}%{src_ver}
%apply_patches

%build
%define Werror_cflags %nil
%ifarch %{ix86}
%make -ef unix/Makefile linux CF="%{optflags} -D_FILE_OFFSET_BITS=64 -Wall -I. -DASM_CRC" CC=gcc LD=gcc AS=gcc AF="-Di386" CRC32=crc_gcc
%else
%make -ef unix/Makefile linux_noasm CF="%{optflags} -D_FILE_OFFSET_BITS=64 -Wall -I."
%endif

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}

ln -sf unzip zipinfo
for i in unzip funzip unzipsfx zipinfo;	do install $i %{buildroot}%{_bindir}; done
install unix/zipgrep %{buildroot}%{_bindir}

for i in man/*.1; do install -m 644 $i %{buildroot}%{_mandir}/man1/; done

cat > README.IMPORTANT.%{product_distribution} << EOF
This version of unzip include the "unreduce" and "unshrink" algorithms.
Since 20 June 2003 LZW patents has expired !


Please contact %{product_vendor} if you have
any problems regarding this issue.
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS COPYING.OLD Contents History.* README ToDo WHERE README.IMPORTANT.%{product_distribution}
%doc proginfo/
%{_bindir}/*
%{_mandir}/man1/*




%changelog
* Fri Dec 26 2014 luigiwalser <luigiwalser> 6.0-7.2.mga4
+ Revision: 806264
- rediff patch from mancha to fix oob accesses in test_compr_br in extract.c
- add patches from redhat to fix CVE-2014-8139, CVE-2014-8140, and CVE-2014-8141

* Fri Oct 18 2013 umeabot <umeabot> 6.0-7.mga4
+ Revision: 519909
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 6.0-6.mga3
+ Revision: 385077
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 29 2012 solbu <solbu> 6.0-5.mga3
+ Revision: 264896
- Dont ship useless INSTALL file

* Sat Jan 08 2011 blino <blino> 6.0-4.mga1
+ Revision: 535
- use product macros in patent advisory
- imported package unzip

